import React from "react";
import { StyleSheet, Text, TouchableOpacity, View } from "react-native";

const CheckOutModal = ({ setModalVisible }) => {
  return (
    <View style={styles.container}>
      <View
        onPress={() => {
          setModalVisible(false);
        }}
        style={styles.conWrap}
      ></View>
      <View style={styles.conWrap2}>
        <Text>Check</Text>
      </View>
    </View>
  );
};
const styles = StyleSheet.create({
  container: {
    // width: "95%",
    // margin: 5,
    // borderRadius: 10,
    // borderColor: "#dddd",
    // borderWidth: 1,
    // overflow: "hidden",
    height: "100%",
    width: "100%",
    bottom: 0,
    overflow: "hidden",

    // width: 100,
    // bottom: 0,
    // flexDirection: "row",
    // padding: 10,
  },
  header: {
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center",
    width: "100%",
    top: 0,
    padding: 10,
  },
  headerText: {
    fontSize: 14,
    fontWeight: "600",
  },
  headerStatusText: {
    fontSize: 14,
    fontWeight: "600",
    textTransform: "uppercase",
    color: "#ffaa00",
  },
  conWrap: {
    height: "40%",
    width: "100%",
    bottom: 0,
    // backgroundColor: "#ffffff",
  },
  conWrap2: {
    height: "60%",
    width: "100%",
    bottom: 0,
    backgroundColor: "#ffffff",
    borderTopLeftRadius: 15,
    borderTopRightRadius: 15,
    padding: 10,
    borderWidth: 1,
    borderColor: "#eeee",
  },
  footer: {
    // position: "absolute",
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center",
    bottom: 0,
    width: "100%",
  },
  imgWrap: {
    padding: 10,
  },
  wrapper: {
    margin: 10,
    marginBottom: 10,
  },
});
export default CheckOutModal;
