import { faClose } from "@fortawesome/free-solid-svg-icons";
import { FontAwesomeIcon } from "@fortawesome/react-native-fontawesome";
import React, { useState } from "react";
import {
    ActivityIndicator,
  StyleSheet,
  Text,
  TextInput,
  TouchableOpacity,
  View,
} from "react-native";

const ProcessPayment = ({ }) => {
  const [email, setemail] = useState("");
  const [password, setpassword] = useState("");

  


  return (
    <View style={styles.container}>
      <View style={styles.wrap}>
      <View style={styles.otpSuccess}>
            <View style={styles.otpWrap}>
              <ActivityIndicator size="large" color="#00ff00" />
              <Text style={styles.otpWrapText}>Processing Payment</Text>
              
            </View>
          </View>
      </View>
    </View>
  );
};
const styles = StyleSheet.create({
  container: {
    height: "100%",
    width: "100%",
  },
  wrap: {
    backgroundColor: "#fff",
    height: "100%",
    width: "100%",
    bottom: 0,
    borderColor: "#bebebe",
    borderRadius: 25,
  },

  wrapTop: {
    justifyContent: "center",
    alignItems: "center",
    height: 130,
    // backgroundColor:'#ffaa00',
    marginVertical: 15,
  },
  wrapTopHeader: {
    fontSize: 25,
    fontWeight: "600",
    color: "#ffaa00",
  },
  wrapMiddle: {
    justifyContent: "center",
    alignItems: "center",
    width: "100%",
  },
  wrapBottom: {
    justifyContent: "center",
    alignItems: "center",
  },
  otpSuccess: {
    justifyContent: "center",
    alignItems: "center",
  },
  otpWrap: {
    height: 200,
    flexDirection: "row",
    justifyContent: "center",
    alignItems: "center",
  },
  otpWrapText: {
    fontWeight: "600",
    letterSpacing: 1,
    fontSize: 19,
    color: "#2e2e2e",
    marginLeft: 10,
  },
  btnText: {
    color: "#fff",
    fontWeight: "600",
    letterSpacing: 1,
    fontSize: 16,
  },
});
export default ProcessPayment;
